/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// global header of the "vii" module

#ifndef vii_H
#define vii_H

#if defined(WIN32)
#ifdef vii_EXPORTS
#define DART_API __declspec(dllexport)
#else
#define DART_API __declspec(dllimport)
#endif
#else
#define DART_API
#endif

#include "tbox.h"

/**
 * @brief Namespace for dart module
 */
namespace vii
{
// Viscous
class ViscSolver;
class BLRegion;
class TimeSolver;
class ViscSolver;
class Closures;
class Interpolator;
class ViscMesh;
class InvBnd;
} // namespace vii

#endif //VII_H
