#ifndef WDARTCOUPLER_H
#define WDARTCOUPLER_H

#include "vii.h"
#include "../../dart/src/wNewton.h"
#include "../../dart/src/wBlowing.h"
#include "wViscSolver.h"

namespace vii
{

class DART_API DartCoupler
{

private:
    unsigned long maxCouplIter;
    double tol;


public:

    Newton *invSolver;
    ViscSolver *viscSolver;
    std::vector<Blowing> *blw;


    DartCoupler();
    ~DartCoupler();
    Run();
    ImposeBlowing();
    ImposeInviscidBC();

};
} // namespace dart
#endif //WDARTCOUPLER_H
